#pragma once
#include "mbed.h"

class Accelerometer
{
    public:
        Accelerometer(int nI2cAddress);
        void getXYZ(double& x, double& y, double& z);
    private:
        void readRegisters(char address, char* buffer, int len);
        int writeRegister(char address, char value);
        double convert(char* buffer);
        int i2cAddress;
        I2C i2c;
};